// Frog.java 

import ch.aplu.jgamegrid.*;
import java.awt.event.KeyEvent;

public class Frog extends Actor implements GGKeyListener
{
  public Frog()
  {
    super(true, "sprites/frog1.gif");
  }

  public boolean keyPressed(KeyEvent evt)
  {
    switch (evt.getKeyCode())
    {
      case KeyEvent.VK_UP:
        setDirection(270);
        break;
      case KeyEvent.VK_RIGHT:
        setDirection(0);
        break;
      case KeyEvent.VK_LEFT:
        setDirection(180);
        break;
      case KeyEvent.VK_DOWN:
        setDirection(90);  
        break;
    }
    move();
    tryToEat();
    return true;
  }

  public boolean keyReleased(KeyEvent evt)
  {
    return true;
  }

  public void tryToEat()
  {
    Actor actor = gameGrid.getOneActorAt(getLocation(), Fly.class);
    if (actor != null)
       actor.hide();
  }
}

